package top.lejings.demo.service;

import top.lejings.demo.pojo.Posts;

import java.util.List;

public interface PostsService {
    List<Posts> postsOverview(String by,String token);

    Posts postsEssay(Integer post_id);

    void postsNew(Posts posts);

    void deletePost(Integer postId);

    void postsUpdate(Posts posts);

    List<Posts> search(String title,String username);
}
